import request from '@/utils/request'

/**
* 分页查询
* @param {查询条件} data
*/
export function listPdaAutoUpdate(query) {
	return request({
		url: 'business/PdaAutoUpdate/list',
		method: 'get',
		params: query,
	})
}


/**
* 新增
* @param data
*/
export function addPdaAutoUpdate(data) {
	return request({
		url: 'business/PdaAutoUpdate',
		method: 'post',
		data: data,
	})
}

/**
* 修改
* @param data
*/
export function updatePdaAutoUpdate(data) {
	return request({
		url: 'business/PdaAutoUpdate',
		method: 'PUT',
		data: data,
	})
}

/**
* 获取详情
* @param {Id}
*/
export function getPdaAutoUpdate(id) {
	return request({
		url: 'business/PdaAutoUpdate/' + id,
		method: 'get'
	})
}

/**
* 删除
* @param {主键} pid
*/
export function delPdaAutoUpdate(pid) {
	return request({
		url: 'business/PdaAutoUpdate/' + pid,
		method: 'delete'
	})
}

// 清空
export function clearPdaAutoUpdate() {
	return request({
		url: 'business/PdaAutoUpdate/clean',
		method: 'delete'
	})
}

// 导出
export async function exportPdaAutoUpdate(query) {
	await downFile('business/PdaAutoUpdate/export', { ...query })
}

